In Gem hell migrating to RubyZip v1.0.0? Include zip-zip in your Gemfile and everything's coming up roses!
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
lib/zip utf-8 Apr 10, 2014
test mini test pride Apr 10, 2014
.gitignore Remove Gemfile.lock from source control Aug 5, 2016
.travis.yml Test on Ruby 2.2 and 2.3, drop 1.9.3 Aug 5, 2016
Gemfile
LICENSE.txt Add License and Gemfile Apr 6, 2014
README.md Add total downloads badge Oct 1, 2016
Rakefile task for testing Apr 6, 2014
zip-zip.gemspec Add test-unit as a development dependency Aug 5, 2016

README.md

zip-zip

Build Status Gem Version Gem Downloads

So you've upgraded a gem dependency that requires RubyZip v1.0.0 or higher. While all your other dependencies use the interface provided by v0.x.

zip-zip provides a simple adapter to let all your dependencies use RubyZip v1.0.0. It is very simple and light weight, aliasing the old class names to the new.

Installation

Add this line to your application's Gemfile:

gem 'zip-zip'

And then execute:

$ bundle

Or install it yourself as:

$ gem install zip-zip

Contributing

  1. Fork it ( https://github.com/orien/zip-zip/fork )
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Add some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Create a new Pull Request